time_object Struct Reference

## Data Fields

wideval_t | timew
struct vtm | vtm
int | gmt
int | tm_got

## Detailed Description

Definition at line 1799 of file time.c.

## Field Documentation

int time_object::gmt

Definition at line 1802 of file time.c.

wideval_t time_object::timew

Definition at line 1800 of file time.c.

Referenced by rb_time_new(), rb_time_succ(), strftimev(), time_add(), time_cmp(), time_eql(), time_fixoff(), time_gmtime(), time_hash(), time_init_0(), time_init_1(), time_localtime(), time_mark(), time_mdump(), time_minus(), time_mload(), time_new_timew(), time_nsec(), time_round(), time_s_alloc(), time_s_at(), time_strftime(), time_subsec(), time_to_f(), time_to_i(), time_to_r(), time_usec(), and timespec2timew().

int time_object::tm_got

Definition at line 1803 of file time.c.

Referenced by time_fixoff(), time_gmtime(), time_init_0(), time_init_1(), time_localtime(), time_mload(), time_s_alloc(), and time_set_utc_offset().

struct vtm time_object::vtm

Definition at line 1801 of file time.c.

Referenced by strftimev(), time_add(), time_fixoff(), time_gmtime(), time_hour(), time_isdst(), time_localtime(), time_mark(), time_mday(), time_min(), time_mon(), time_sec(), time_strftime(), time_to_a(), time_utc_offset(), time_wday(), time_yday(), time_year(), and time_zone().

The documentation for this struct was generated from the following file:

- time.c